<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Transformer;

use Dedi\SyliusMigrationPlugin\Config\MigrationConfig;

class UrlToNewSite implements TransformerInterface
{
    private MigrationConfig $config;

    public function __construct(
        MigrationConfig $config
    ) {
        $this->config = $config;
    }

    public function getType(): string
    {
        return 'url-to-new-site';
    }

    public function execute($data)
    {
        return str_replace([
            'https://',
            'http://',
            $this->config->getLegacySiteUrl(),
        ], [
            'http://',
            'http://',
            $this->config->getNewSiteUrl(),
        ], $data);
    }
}
